Index: /EcnlProtoTool/trunk/ntshell/src/tSIOPortNTShellMain.c
===================================================================
--- /EcnlProtoTool/trunk/ntshell/src/tSIOPortNTShellMain.c	(revision 441)
+++ /EcnlProtoTool/trunk/ntshell/src/tSIOPortNTShellMain.c	(revision 441)
@@ -0,0 +1,257 @@
+/*
+ *  TOPPERS/ASP Kernel
+ *      Toyohashi Open Platform for Embedded Real-Time Systems/
+ *      Advanced Standard Profile Kernel
+ * 
+ *  Copyright (C) 2006-2018 by Embedded and Real-Time Systems Laboratory
+ *              Graduate School of Information Science, Nagoya Univ., JAPAN
+ * 
+ *  上記著作権者は，以下の(1)〜(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
+ * 
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
+ * 
+ *  $Id$
+ */
+
+/*
+ *		シリアルインタフェースドライバのターゲット依存部（NTShell用）
+ */
+
+#include <t_stddef.h>
+#include <t_syslog.h>
+#include <errno.h> 
+#include <termios.h>
+#include <unistd.h>
+#include <fcntl.h>
+#include "tSIOPortNTShellMain_tecsgen.h"
+#include "syssvc/siofd.h"
+ 
+extern int shell_errno;
+
+/*
+ *  SIOポートのオープン
+ */
+void
+eSIOPort_open(CELLIDX idx)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+	int_t	fd;
+	struct	termios term;
+
+	if (!VAR_opened) {
+		/*
+		 *  既にオープンしている場合は、二重にオープンしない．
+		 */
+		if (ATTR_path != NULL) {
+			fd = siofd_open(ATTR_path, O_RDWR, 0777);
+			assert(fd >= 0);
+			VAR_read_fd = fd;
+			VAR_write_fd = fd;
+		}
+		else {
+			fd = STDIN_FILENO;				/* 標準入出力を使う */
+			VAR_read_fd = STDIN_FILENO;
+			VAR_write_fd = STDOUT_FILENO;
+		}
+		siofd_fcntl(fd, F_SETOWN, getpid());
+		siofd_fcntl(fd, F_SETFL, (O_NONBLOCK | O_ASYNC));
+
+		siofd_tcgetattr(fd, &VAR_saved_term);
+		term = VAR_saved_term;
+		term.c_lflag &= ~(ECHO | ICANON);
+		siofd_tcsetattr(fd, TCSAFLUSH, &term);
+
+		VAR_rcv_flag = false;
+		VAR_rcv_rdy = false;
+		VAR_snd_flag = false;
+		VAR_snd_rdy = false;
+		VAR_opened = true;
+	}
+}
+
+/*
+ *  SIOポートのクローズ
+ */
+void
+eSIOPort_close(CELLIDX idx)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+	int_t	fd;
+
+	if (VAR_opened) {
+		fd = VAR_read_fd;
+		siofd_tcsetattr(fd, TCSAFLUSH, &VAR_saved_term);
+		siofd_fcntl(fd, F_SETFL, 0);
+
+		if (ATTR_path != NULL) {
+			siofd_close(VAR_read_fd);
+		}
+		VAR_opened = false;
+	}
+}
+
+/*
+ *  SIOポートへの文字送信
+ */
+bool_t
+eSIOPort_putChar(CELLIDX idx, char c)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+	int_t	n;
+
+	if (!VAR_snd_flag) {
+		if ((n = siofd_write(VAR_write_fd, &c, 1)) > 0) {
+			return(true);
+		}
+		else {
+			assert(n < 0 && shell_errno == EAGAIN);
+			VAR_snd_flag = true;
+			VAR_snd_buf = c;
+			return(true);
+		}
+	}
+	else {
+		return(false);
+	}
+}
+
+/*
+ *  SIOポートからの文字受信
+ */
+int_t
+eSIOPort_getChar(CELLIDX idx)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+	char	c;
+	int_t	n;
+
+	if (VAR_rcv_flag) {
+		VAR_rcv_flag = false;
+		return((int_t)(uint8_t)(VAR_rcv_buf));
+	}
+	else if ((n = siofd_read(VAR_read_fd, &c, 1)) > 0) {
+		return((int_t)(uint8_t) c);
+	}
+	else {
+		assert(n < 0 && shell_errno == EAGAIN);
+		return(-1);
+	}
+}
+
+/*
+ *  SIOポートからのコールバックの許可
+ */
+void
+eSIOPort_enableCBR(CELLIDX idx, uint_t cbrtn)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+
+	switch (cbrtn) {
+	case SIOSendReady:
+		VAR_snd_rdy = true;
+		break;
+	case SIOReceiveReady:
+		VAR_rcv_rdy = true;
+		break;
+	}
+}
+
+/*
+ *  SIOポートからのコールバックの禁止
+ */
+void
+eSIOPort_disableCBR(CELLIDX idx, uint_t cbrtn)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+
+	switch (cbrtn) {
+	case SIOSendReady:
+		VAR_snd_rdy = false;
+		break;
+	case SIOReceiveReady:
+		VAR_rcv_rdy = false;
+		break;
+	}
+}
+
+/*
+ *  SIOの割込みサービスルーチン
+ */
+bool_t
+sio_isr_snd(ID siopid)
+{
+	if (!(1 <= siopid && siopid <= tSIOPortNTShellMain_N_CELL))
+		return false;
+	CELLIDX idx = &tSIOPortNTShellMain_CB_tab[siopid - 1];
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+	int_t	n;
+
+	if (VAR_snd_flag) {
+		if ((n = siofd_write(VAR_write_fd, &(VAR_snd_buf), 1)) > 0) {
+			VAR_snd_flag = false;
+			if (VAR_snd_rdy) {
+				ciSIOCBR_readySend();
+				return VAR_snd_rdy;
+			}
+		}
+	}
+
+	return false;
+}
+
+/*
+ *  SIOの割込みサービスルーチン
+ */
+bool_t
+sio_isr_rcv(ID siopid, char c)
+{
+	if (!(1 <= siopid && siopid <= tSIOPortNTShellMain_N_CELL))
+		return false;
+	CELLIDX idx = &tSIOPortNTShellMain_CB_tab[siopid - 1];
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+
+	if (!VAR_rcv_flag) {
+		VAR_rcv_buf = c;
+		VAR_rcv_flag = true;
+		if (VAR_rcv_rdy) {
+			ciSIOCBR_readyReceive();
+			return VAR_rcv_rdy;
+		}
+	}
+
+	return false;
+}
+
+/*
+ *  SIOドライバの終了処理
+ */
+void
+eTerminate_main(CELLIDX idx)
+{
+	eSIOPort_close(idx);
+}
Index: /EcnlProtoTool/trunk/ntshell/src/tinet_app_config.h
===================================================================
--- /EcnlProtoTool/trunk/ntshell/src/tinet_app_config.h	(revision 440)
+++ /EcnlProtoTool/trunk/ntshell/src/tinet_app_config.h	(revision 441)
@@ -285,17 +285,7 @@
 #ifdef SUPPORT_ETHER
 
-#ifdef DHCP4_CLI_CFG
-
-#define IPV4_ADDR_LOCAL			MAKE_IPV4_ADDR(0,0,0,0)
-#define IPV4_ADDR_LOCAL_MASK		MAKE_IPV4_ADDR(0,0,0,0)
-#define IPV4_ADDR_DEFAULT_GW		MAKE_IPV4_ADDR(0,0,0,0)
-
-#else	/* of #ifdef DHCP4_CLI_CFG */
-
 #define IPV4_ADDR_LOCAL			MAKE_IPV4_ADDR(192,168,137,110)
-#define IPV4_ADDR_LOCAL_MASK		MAKE_IPV4_ADDR(255,255,255,0)
-#define IPV4_ADDR_DEFAULT_GW		MAKE_IPV4_ADDR(192,168,137,1)
-
-#endif	/* of #ifdef DHCP4_CLI_CFG */
+#define IPV4_ADDR_LOCAL_MASK	MAKE_IPV4_ADDR(255,255,255,0)
+#define IPV4_ADDR_DEFAULT_GW	MAKE_IPV4_ADDR(192,168,137,1)
 
 #define NUM_IN4_STATIC_ROUTE_ENTRY	3
Index: /EcnlProtoTool/trunk/ntshell/src/tinet_main.cfg
===================================================================
--- /EcnlProtoTool/trunk/ntshell/src/tinet_main.cfg	(revision 440)
+++ /EcnlProtoTool/trunk/ntshell/src/tinet_main.cfg	(revision 441)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2017-2019 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: /EcnlProtoTool/trunk/ntshell/src/tinet_ntp_cli.cfg
===================================================================
--- /EcnlProtoTool/trunk/ntshell/src/tinet_ntp_cli.cfg	(revision 441)
+++ /EcnlProtoTool/trunk/ntshell/src/tinet_ntp_cli.cfg	(revision 441)
@@ -0,0 +1,45 @@
+/*
+ *  TINET (UDP/IP Protocol Stack)
+ * 
+ *  Copyright (C) 2001-2017 by Dep. of Computer Science and Engineering
+ *                   Tomakomai National College of Technology, JAPAN
+ *
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
+ * 
+ *  @(#) $Id$
+ */
+
+/*
+ *  NTP クライアント
+ *  TCP/IP コンフィギュレーションファイル
+ */
+
+/* UDP 通信端点 */
+
+UDP_CRE_CEP (NTP_CLI_CEPID, {
+	0,
+	{ IPV4_ADDRANY, UDP_PORTANY },
+	callback_nblk_ntp_cli
+	} );
Index: /EcnlProtoTool/trunk/ntshell/webserver/httpd-fs.c
===================================================================
--- /EcnlProtoTool/trunk/ntshell/webserver/httpd-fs.c	(revision 440)
+++ /EcnlProtoTool/trunk/ntshell/webserver/httpd-fs.c	(revision 441)
@@ -63,5 +63,5 @@
 #endif /* NULL */
 
-extern ntstdio_t ntstdio;
+extern ntstdio_t *ntstdio;
 
 /*-----------------------------------------------------------------------------------*/
@@ -89,5 +89,5 @@
 			}
 			else {
-				ntstdio_printf(&ntstdio, "%s/%s\n", path, fn);
+				ntstdio_printf(ntstdio, "%s/%s\n", path, fn);
 			}
 		}
@@ -114,10 +114,10 @@
 	if ((res = f_open(fd, name, FA_OPEN_EXISTING | FA_READ)) != FR_OK) {
 		if ((res = f_opendir(&dir, name)) != FR_OK) {
-			ntstdio_printf(&ntstdio, "f_opendir(%s) => %d\n", name, res);
+			ntstdio_printf(ntstdio, "f_opendir(%s) => %d\n", name, res);
 			return 0;
 		}
 
 		if ((res = f_readdir(&dir, &fno)) != FR_OK) {
-			ntstdio_printf(&ntstdio, "f_readdir(%s) => %d\n", name, res);
+			ntstdio_printf(ntstdio, "f_readdir(%s) => %d\n", name, res);
 			return 0;
 		}
@@ -132,5 +132,5 @@
 
 		if (res != FR_OK) {
-			ntstdio_printf(&ntstdio, "f_open(%s) => %d %x\n", name, res, fno.fattrib);
+			ntstdio_printf(ntstdio, "f_open(%s) => %d %x\n", name, res, fno.fattrib);
 			return 0;
 		}
@@ -139,5 +139,5 @@
 	file->len = fd->fsize;
 
-	//ntstdio_printf(&ntstdio, "httpd_fs_open(%s) %d\n", name, file->len);
+	//ntstdio_printf(ntstdio, "httpd_fs_open(%s) %d\n", name, file->len);
 
 	return 1;
@@ -158,5 +158,5 @@
 
 	if ((res = f_open(fd, name, FA_CREATE_ALWAYS | FA_WRITE)) != FR_OK) {
-		ntstdio_printf(&ntstdio, "f_open(%s) => %d\n", name, res);
+		ntstdio_printf(ntstdio, "f_open(%s) => %d\n", name, res);
 		return 0;
 	}
@@ -165,5 +165,5 @@
 	file->len = 0;
 
-	//ntstdio_printf(&ntstdio, "httpd_fs_create(%s) %d\n", file->name, file->len);
+	//ntstdio_printf(ntstdio, "httpd_fs_create(%s) %d\n", file->name, file->len);
 
 	return 1;
@@ -179,18 +179,18 @@
 
 	if ((ret = f_lseek(fd, file->pos)) != FR_OK) {
-		ntstdio_printf(&ntstdio, "f_lseek(%s, %d) => %d\n", file->name, file->pos, ret);
+		ntstdio_printf(ntstdio, "f_lseek(%s, %d) => %d\n", file->name, file->pos, ret);
 		return 0;
 	}
 
 	if (file->pos != fd->fptr) {
-		ntstdio_printf(&ntstdio, "f_lseek(%s, %d) != %d\n", file->name, file->pos, fd->fptr);
+		ntstdio_printf(ntstdio, "f_lseek(%s, %d) != %d\n", file->name, file->pos, fd->fptr);
 	}
 
 	if ((ret = f_read(fd, dst, len, &rlen)) != FR_OK) {
-		ntstdio_printf(&ntstdio, "f_read(%s, 0x%p, %d) => %d\n", file->name, dst, len, ret);
-		return 0;
-	}
-
-	//ntstdio_printf(&ntstdio, "httpd_fs_read(%s, %d, %d) => %d\n", file->name, file->pos, len, rlen);
+		ntstdio_printf(ntstdio, "f_read(%s, 0x%p, %d) => %d\n", file->name, dst, len, ret);
+		return 0;
+	}
+
+	//ntstdio_printf(ntstdio, "httpd_fs_read(%s, %d, %d) => %d\n", file->name, file->pos, len, rlen);
 
 	return rlen;
@@ -206,14 +206,14 @@
 
 	if ((ret = f_lseek(fd, file->pos)) != FR_OK) {
-		ntstdio_printf(&ntstdio, "f_lseek(%s, %d) => %d\n", file->name, file->pos, ret);
+		ntstdio_printf(ntstdio, "f_lseek(%s, %d) => %d\n", file->name, file->pos, ret);
 		return 0;
 	}
 
 	if (file->pos != fd->fptr) {
-		ntstdio_printf(&ntstdio, "f_lseek(%s, %d) != %d\n", file->name, file->pos, fd->fptr);
+		ntstdio_printf(ntstdio, "f_lseek(%s, %d) != %d\n", file->name, file->pos, fd->fptr);
 	}
 
 	if ((ret = f_write(fd, src, len, &rlen)) != FR_OK) {
-		ntstdio_printf(&ntstdio, "f_write(%s, 0x%p, %d) => %d\n", file->name, src, len, ret);
+		ntstdio_printf(ntstdio, "f_write(%s, 0x%p, %d) => %d\n", file->name, src, len, ret);
 		return 0;
 	}
@@ -222,5 +222,5 @@
 	file->len += rlen;
 
-	//ntstdio_printf(&ntstdio, "httpd_fs_write(%s, %d, %d) => %d\n", file->name, file->pos, len, rlen);
+	//ntstdio_printf(ntstdio, "httpd_fs_write(%s, %d, %d) => %d\n", file->name, file->pos, len, rlen);
 
 	return rlen;
@@ -234,5 +234,5 @@
 
 	if ((ret = f_close(fd)) != FR_OK) {
-		ntstdio_printf(&ntstdio, "f_close(%s) => %d\n", file->name, ret);
+		ntstdio_printf(ntstdio, "f_close(%s) => %d\n", file->name, ret);
 		return 0;
 	}
Index: /EcnlProtoTool/trunk/ntshell/webserver/httpd.c
===================================================================
--- /EcnlProtoTool/trunk/ntshell/webserver/httpd.c	(revision 440)
+++ /EcnlProtoTool/trunk/ntshell/webserver/httpd.c	(revision 441)
@@ -59,5 +59,5 @@
 #define FALSE 0
 
-extern ntstdio_t ntstdio;
+extern ntstdio_t *ntstdio;
 SYSTIM httpd_time;
 struct httpd_state *uploding;
@@ -65,8 +65,17 @@
 
 /*  TCP 送受信ウィンドバッファ  */
+#ifdef SUPPORT_INET6
+uint8_t tcp6_swbuf1[TCP_SWBUF_SIZE];
+uint8_t tcp6_rwbuf1[TCP_RWBUF_SIZE];
+uint8_t tcp6_swbuf2[TCP_SWBUF_SIZE];
+uint8_t tcp6_rwbuf2[TCP_RWBUF_SIZE];
+#endif
+
+#ifdef SUPPORT_INET4
 uint8_t tcp_swbuf1[TCP_SWBUF_SIZE];
 uint8_t tcp_rwbuf1[TCP_RWBUF_SIZE];
 uint8_t tcp_swbuf2[TCP_SWBUF_SIZE];
 uint8_t tcp_rwbuf2[TCP_RWBUF_SIZE];
+#endif
 
 #define ISO_nl      0x0a
@@ -325,5 +334,5 @@
 			// アップロード先はSDカード
 			s->filename[0] = '1';
-			ntstdio_printf(&ntstdio, "create:    %s.%d %s\n", s->addr, ((T_IPV4EP *)s->dst)->portno, s->filename);
+			ntstdio_printf(ntstdio, "create:    %s.%d %s\n", s->addr, ((T_IPV4EP *)s->dst)->portno, s->filename);
 			if (!httpd_fs_create(s->filename, &s->file)) {
 				goto error;
@@ -333,5 +342,5 @@
 		}
 		else if (ntlibc_strcmp(s->filename, uploding->filename) == 0) {
-			ntstdio_printf(&ntstdio, "collision: %s.%d %s\n", s->addr, ((T_IPV4EP *)s->dst)->portno, s->filename);
+			ntstdio_printf(ntstdio, "collision: %s.%d %s\n", s->addr, ((T_IPV4EP *)s->dst)->portno, s->filename);
 			goto error;
 		}
@@ -365,5 +374,5 @@
 
 	if (s->message.body_is_final) {
-		ntstdio_printf(&ntstdio, "\n\n *** Error http_body_is_final() should return 1 \n"
+		ntstdio_printf(ntstdio, "\n\n *** Error http_body_is_final() should return 1 \n"
 			"on last on_body callback call "
 			"but it doesn't! ***\n\n");
@@ -378,5 +387,5 @@
 
 	if (s->message.body_is_final) {
-		ntstdio_printf(&ntstdio, "close:     %s.%d %s\n", s->addr, ((T_IPV4EP *)s->dst)->portno, s->filename);
+		ntstdio_printf(ntstdio, "close:     %s.%d %s\n", s->addr, ((T_IPV4EP *)s->dst)->portno, s->filename);
 		httpd_fs_close(&s->file);
 		memset(&s->file, 0, sizeof(s->file));
@@ -403,5 +412,5 @@
 	struct httpd_state *s = get_context(p);
 	if (s->message.should_keep_alive != http_should_keep_alive(p)) {
-		ntstdio_printf(&ntstdio, "\n\n *** Error http_should_keep_alive() should have same \n"
+		ntstdio_printf(ntstdio, "\n\n *** Error http_should_keep_alive() should have same \n"
 			"value in both on_message_complete and on_headers_complete "
 			"but it doesn't! ***\n\n");
@@ -412,5 +421,5 @@
 		http_body_is_final(p) &&
 		!s->message.body_is_final) {
-		ntstdio_printf(&ntstdio, "\n\n *** Error http_body_is_final() should return 1 \n"
+		ntstdio_printf(ntstdio, "\n\n *** Error http_body_is_final() should return 1 \n"
 			"on last on_body callback call "
 			"but it doesn't! ***\n\n");
@@ -484,5 +493,5 @@
 		slen = tcp_get_buf(s->cepid, (void **)&buf, TMO_FEVR);
 		if (slen < 0) {
-			ntstdio_printf(&ntstdio, "send_file#tcp_get_buf(%s.%d) => %d\n", s->addr, ((T_IPV4EP *)s->dst)->portno, slen);
+			ntstdio_printf(ntstdio, "send_file#tcp_get_buf(%s.%d) => %d\n", s->addr, ((T_IPV4EP *)s->dst)->portno, slen);
 			s->state = STATE_CLOSING;
 			break;
@@ -497,5 +506,5 @@
 		len = httpd_fs_read(&s->file, buf, len);
 		if (len <= 0) {
-			ntstdio_printf(&ntstdio, "send_file#httpd_fs_read(%s.%d) => %d\n", s->addr, ((T_IPV4EP *)s->dst)->portno, len);
+			ntstdio_printf(ntstdio, "send_file#httpd_fs_read(%s.%d) => %d\n", s->addr, ((T_IPV4EP *)s->dst)->portno, len);
 			break;
 		}
@@ -505,5 +514,5 @@
 
 		if ((slen = tcp_snd_buf(s->cepid, len)) != E_OK) {
-			ntstdio_printf(&ntstdio, "send_file#tcp_snd_buf(%s.%d) => %d\n", s->addr, ((T_IPV4EP *)s->dst)->portno, slen);
+			ntstdio_printf(ntstdio, "send_file#tcp_snd_buf(%s.%d) => %d\n", s->addr, ((T_IPV4EP *)s->dst)->portno, slen);
 			s->state = STATE_CLOSING;
 			break;
@@ -511,5 +520,5 @@
 	}
 
-	ntstdio_printf(&ntstdio, "close:     %s.%d %s\n", s->addr, ((T_IPV4EP *)s->dst)->portno, s->filename);
+	ntstdio_printf(ntstdio, "close:     %s.%d %s\n", s->addr, ((T_IPV4EP *)s->dst)->portno, s->filename);
 	httpd_fs_close(&s->file);
 	s->file.len = 0;
@@ -527,5 +536,5 @@
 		slen = tcp_get_buf(s->cepid, (void **)&buf, TMO_FEVR);
 		if (slen < 0) {
-			ntstdio_printf(&ntstdio, "send_data#tcp_get_buf(%s.%d) => %d\n", s->addr, ((T_IPV4EP *)s->dst)->portno, slen);
+			ntstdio_printf(ntstdio, "send_data#tcp_get_buf(%s.%d) => %d\n", s->addr, ((T_IPV4EP *)s->dst)->portno, slen);
 			s->state = STATE_CLOSING;
 			break;
@@ -544,5 +553,5 @@
 
 		if ((slen = tcp_snd_buf(s->cepid, len)) != E_OK) {
-			ntstdio_printf(&ntstdio, "send_data#tcp_snd_buf(%s.%d) => %d\n", s->addr, ((T_IPV4EP *)s->dst)->portno, slen);
+			ntstdio_printf(ntstdio, "send_data#tcp_snd_buf(%s.%d) => %d\n", s->addr, ((T_IPV4EP *)s->dst)->portno, slen);
 			s->state = STATE_CLOSING;
 			break;
@@ -690,5 +699,5 @@
 		break;
 	case OUT_STATE_OPEN_GET_FILE:
-		ntstdio_printf(&ntstdio, "open:      %s.%d %s\n", s->addr, ((T_IPV4EP *)s->dst)->portno, s->filename);
+		ntstdio_printf(ntstdio, "open:      %s.%d %s\n", s->addr, ((T_IPV4EP *)s->dst)->portno, s->filename);
 		if (!httpd_fs_open(s->filename, sizeof(s->message.request_url), &s->file)) {
 			s->filename = NULL;
@@ -704,26 +713,26 @@
 		break;
 	case OUT_STATE_WAIT_POST_BODY:
-		//ntstdio_printf(&ntstdio, "wait post body\n");
+		//ntstdio_printf(ntstdio, "wait post body\n");
 		s->out.wait = true;
 		break;
 	case OUT_STATE_BODY_RECEIVED:
-		//ntstdio_printf(&ntstdio, "body received\n");
+		//ntstdio_printf(ntstdio, "body received\n");
 		s->out.statushdr = http_header_200;
 		s->out.state = OUT_STATE_SEND_HEADER;
 		break;
 	case OUT_STATE_SEND_HEADER:
-		//ntstdio_printf(&ntstdio, "send header\n");
+		//ntstdio_printf(ntstdio, "send header\n");
 		send_headers(s, s->out.statushdr);
 		break;
 	case OUT_STATE_SEND_FILE:
-		//ntstdio_printf(&ntstdio, "send file %d\n", s->file.len);
+		//ntstdio_printf(ntstdio, "send file %d\n", s->file.len);
 		send_file(s);
 		break;
 	case OUT_STATE_SEND_DATA:
-		//ntstdio_printf(&ntstdio, "send data %d\n", s->response_len);
+		//ntstdio_printf(ntstdio, "send data %d\n", s->response_len);
 		send_data(s);
 		break;
 	case OUT_STATE_SEND_END:
-		//ntstdio_printf(&ntstdio, "send end\n");
+		//ntstdio_printf(ntstdio, "send end\n");
 		s->out.wait = true;
 		if (s->message.should_keep_alive && s->reset == 0) {
@@ -783,5 +792,5 @@
 	slen = tcp_get_buf(s->cepid, (void **)&buf, TMO_FEVR);
 	if (slen < 0) {
-		ntstdio_printf(&ntstdio, "send_ws_data#tcp_get_buf(%s.%d) => %d\n", s->addr, ((T_IPV4EP *)s->dst)->portno, slen);
+		ntstdio_printf(ntstdio, "send_ws_data#tcp_get_buf(%s.%d) => %d\n", s->addr, ((T_IPV4EP *)s->dst)->portno, slen);
 		return;
 	}
@@ -847,5 +856,5 @@
 				//}
 			}
-			ntstdio_printf(&ntstdio, "handle_input#tcp_rcv_buf#%d(%s.%d) => %d\n", s->in.state, s->addr, ((T_IPV4EP *)s->dst)->portno, len);
+			ntstdio_printf(ntstdio, "handle_input#tcp_rcv_buf#%d(%s.%d) => %d\n", s->in.state, s->addr, ((T_IPV4EP *)s->dst)->portno, len);
 			uploding = NULL;
 			s->state = STATE_CLOSING;
@@ -855,5 +864,5 @@
 		tcp_rel_buf(s->cepid, done);
 		if (s->parser.http_errno != HPE_OK) {
-			ntstdio_printf(&ntstdio, "http_parser error %s.%d => %d\n", s->addr, ((T_IPV4EP *)s->dst)->portno, s->parser.http_errno);
+			ntstdio_printf(ntstdio, "http_parser error %s.%d => %d\n", s->addr, ((T_IPV4EP *)s->dst)->portno, s->parser.http_errno);
 			uploding = NULL;
 			s->state = STATE_CLOSING;
@@ -880,5 +889,5 @@
 					break;
 				}
-				ntstdio_printf(&ntstdio, "handle_input#tcp_rcv_buf#%d(%s.%d) => %d\n", s->in.state, s->addr, ((T_IPV4EP *)s->dst)->portno, len);
+				ntstdio_printf(ntstdio, "handle_input#tcp_rcv_buf#%d(%s.%d) => %d\n", s->in.state, s->addr, ((T_IPV4EP *)s->dst)->portno, len);
 				s->state = STATE_CLOSING;
 				break;
@@ -918,7 +927,7 @@
 
 	if (s == NULL)
-		ntstdio_printf(&ntstdio, "callback_nblk_tcp(%d, %d)\n", fncd, cepid);
+		ntstdio_printf(ntstdio, "callback_nblk_tcp(%d, %d)\n", fncd, cepid);
 	else
-		ntstdio_printf(&ntstdio, "callback_nblk_tcp(%d, %s.%d)\n", fncd, s->addr, ((T_IPV4EP *)s->dst)->portno);
+		ntstdio_printf(ntstdio, "callback_nblk_tcp(%d, %s.%d)\n", fncd, s->addr, ((T_IPV4EP *)s->dst)->portno);
 
 	return E_PAR;
@@ -936,5 +945,5 @@
 		ret2 = get_tim(&httpd_time);
 		if (ret2 != E_OK) {
-			ntstdio_printf(&ntstdio, "get_tim\n");
+			ntstdio_printf(ntstdio, "get_tim\n");
 			return;
 		}
@@ -944,5 +953,5 @@
 			memset(&s->dst, 0, sizeof(s->dst));
 			if ((ret = tcp_acp_cep(s->cepid, TCP_REPID, (T_IPV4EP *)s->dst, TMO_FEVR)) != E_OK) {
-				ntstdio_printf(&ntstdio, "tcp_acp_cep(%d) => %d\n", s->cepid, ret);
+				ntstdio_printf(ntstdio, "tcp_acp_cep(%d) => %d\n", s->cepid, ret);
 				tslp_tsk(100 * 1000);	// TODO
 				s->state = STATE_CLOSING;
@@ -950,5 +959,5 @@
 			}
 			IP2STR(s->addr, &((T_IPV4EP *)s->dst)->ipaddr);
-			ntstdio_printf(&ntstdio, "connected: %s.%d\n", s->addr, ((T_IPV4EP *)s->dst)->portno);
+			ntstdio_printf(ntstdio, "connected: %s.%d\n", s->addr, ((T_IPV4EP *)s->dst)->portno);
 			memset(&s->in, 0, sizeof(s->in));
 			memset(&s->out, 0, sizeof(s->out));
@@ -965,5 +974,5 @@
 			break;
 		case STATE_CLOSING:
-			ntstdio_printf(&ntstdio, "close:     %s.%d\n", s->addr, ((T_IPV4EP *)s->dst)->portno);
+			ntstdio_printf(ntstdio, "close:     %s.%d\n", s->addr, ((T_IPV4EP *)s->dst)->portno);
 			tcp_sht_cep(s->cepid);
 			tcp_cls_cep(s->cepid, TMO_FEVR);
Index: /EcnlProtoTool/trunk/ntshell/webserver/httpd.h
===================================================================
--- /EcnlProtoTool/trunk/ntshell/webserver/httpd.h	(revision 440)
+++ /EcnlProtoTool/trunk/ntshell/webserver/httpd.h	(revision 441)
@@ -57,6 +57,6 @@
  /*  TCP 送受信ウィンドバッファサイズ  */
 
-#define TCP_SWBUF_SIZE	512
-#define TCP_RWBUF_SIZE	512
+#define TCP_SWBUF_SIZE	1024
+#define TCP_RWBUF_SIZE	1024
 
 /*
@@ -66,9 +66,17 @@
 
  /*  TCP 送受信ウィンドバッファ  */
-
+#ifdef SUPPORT_INET6
+extern uint8_t tcp6_swbuf1[];
+extern uint8_t tcp6_rwbuf1[];
+extern uint8_t tcp6_swbuf2[];
+extern uint8_t tcp6_rwbuf2[];
+#endif
+
+#ifdef SUPPORT_INET4
 extern uint8_t tcp_swbuf1[];
 extern uint8_t tcp_rwbuf1[];
 extern uint8_t tcp_swbuf2[];
 extern uint8_t tcp_rwbuf2[];
+#endif
 
 /* HTTPサーバータスク */
Index: /EcnlProtoTool/trunk/ntshell/webserver/tinet_httpd.cfg
===================================================================
--- /EcnlProtoTool/trunk/ntshell/webserver/tinet_httpd.cfg	(revision 440)
+++ /EcnlProtoTool/trunk/ntshell/webserver/tinet_httpd.cfg	(revision 441)
@@ -62,7 +62,7 @@
 TCP6_CRE_CEP (TCP6_CEPID1, {
 	0,
-	tcp_swbuf1,
+	tcp6_swbuf1,
 	TCP_SWBUF_SIZE,
-	tcp_rwbuf1,
+	tcp6_rwbuf1,
 	TCP_RWBUF_SIZE,
 	(FP)callback_nblk_tcp
@@ -71,7 +71,7 @@
 TCP6_CRE_CEP (TCP6_CEPID2, {
 	0,
-	tcp_swbuf2,
+	tcp6_swbuf2,
 	TCP_SWBUF_SIZE,
-	tcp_rwbuf2,
+	tcp6_rwbuf2,
 	TCP_RWBUF_SIZE,
 	(FP)callback_nblk_tcp
Index: /EcnlProtoTool/trunk/prototool/src/linker_scriptDebug.ld
===================================================================
--- /EcnlProtoTool/trunk/prototool/src/linker_scriptDebug.ld	(revision 440)
+++ /EcnlProtoTool/trunk/prototool/src/linker_scriptDebug.ld	(revision 441)
@@ -8,6 +8,6 @@
 
 MEMORY {
-	BOOT_LOADER (rx) : ORIGIN = 0x18000000, LENGTH = 0x00220000
-	ROM (rx)         : ORIGIN = 0x18220000, LENGTH = 0x005E0000
+	BOOT_LOADER (rx) : ORIGIN = 0x18000000, LENGTH = 0x00200000
+	ROM (rx)         : ORIGIN = 0x18200000, LENGTH = 0x00600000
 	RAM (xrw)        : ORIGIN = 0x20100000, LENGTH = 8M
 }
